| optoICC

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Attributes | List of all members
optoICC.registers.icc_registers.DeviceEEPROM Class Reference
Inheritance diagram for optoICC.registers.icc_registers.DeviceEEPROM:

## Public Member Functions
def | __init__ (self, int channel=0, board=None)
def | GetSerialNumber (self)
def | SetSerialNumber (self, serial)
def | SetMaxPosCurrent (self, posCurrent)
def | SetMaxNegCurrent (self, negCurrent)
def | GetEEPROM (self, index, count)
def | SetEEPROM (self, index, vector)
def | EEPROMLockEnable (self, enable=True)
def | VerifyEEPROM (self, index, vector)
def | ReparseEEPROM (self)
def | GetEEPROMversion (self)
def | GetEEPROMsubversion (self)
def | GetPartConfig (self)
def | GetPartConfigVersion (self)
def | GetMaxPosCurrent (self)
def | GetMaxNegCurrent (self)
def | GetOQCresult (self)
def | GetProdTime (self)
def | GetEEPROMSize (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| channel
| sys_id
| lock
| eeprom_version
| eeprom_subversion
| part_config
| part_config_version
| max_pos_current
| max_neg_current
| oqc_result
| prod_time
| reparse
| eeprom_size
| eeprom
| serial_number

## Protected Member Functions
def | _SetEEPROMSegment (self, index, vector)
def | _GetEEPROMSegment (self, index, count)

## Static Protected Attributes
bool | _is_a_system = False

## Detailed Description

    Device Functionality - DeviceEEPROM Read/Write
    System ID: 0x21

    * | Address | Name                           | Default Value | Description                                                       | Type   | Access    |
    * |---------|--------------------------------|---------------|-------------------------------------------------------------------|--------|-----------|
    * | 0x2100  | Device EEPROM version          | N/A           |                                                                   | uint16 | read only |
    * | 0x2101  | Device EEPROM subversion       | N/A           |                                                                   | uint8  | read only |
    * | 0x2102  | Part configuration             | N/A           |                                                                   | uint8  | read only |
    * | 0x2103  | Part configuration version     | N/A           |                                                                   | uint8  | read only |
    * | 0x2104  | Maximum positive current       | N/A           |                                                                   | uint16 | read only |
    * | 0x2105  | Maximum negative current       | N/A           |                                                                   | uint16 | read only |
    * | 0x2106  | OQC result                     | N/A           | Encoding: 0x00 = None, 0x01 = Pass, 0x02 = Fail                   | uint8  | read only |
    * | 0x2107  | Production Time-stamp          | N/A           | Unix Time format (seconds since 1.1.1970)                         | uint32 | read only |
    * | 0x2108  | Device EEPROM lock             | 1 (locked)    | Write the key to unlock, anything else to lock.<br/>Key value: 0x3edeb7aa                                              | uint32 | read write |
    * | 0x2109  | Force device EEPROM re-parsing | N/A           | Read register to trigger.<br/>Automatic parsing of device EEPROM happens only at system start up | uint32 | read only |
    * | 0x210A  | Device EEPROM size             | N/A           |                                                                   | uint16 | read only |

## Constructor & Destructor Documentation

## ◆ __init__()

def optoICC.registers.icc_registers.DeviceEEPROM.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`
| ) |  |

## Member Function Documentation

## ◆ _GetEEPROMSegment()

def optoICC.registers.icc_registers.DeviceEEPROM._GetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |
| protected

## ◆ _SetEEPROMSegment()

def optoICC.registers.icc_registers.DeviceEEPROM._SetEEPROMSegment | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |
| protected

## ◆ EEPROMLockEnable()

def optoICC.registers.icc_registers.DeviceEEPROM.EEPROMLockEnable | ( |  | self,
|  |  | enable = `True`
| ) |  |

## ◆ GetEEPROM()

def optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROM | ( |  | self,
|  |  | index,
|  |  | count
| ) |  |

## ◆ GetEEPROMSize()

def optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROMSize | ( |  | self | ) |

## ◆ GetEEPROMsubversion()

def optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROMsubversion | ( |  | self | ) |

## ◆ GetEEPROMversion()

def optoICC.registers.icc_registers.DeviceEEPROM.GetEEPROMversion | ( |  | self | ) |

## ◆ GetMaxNegCurrent()

def optoICC.registers.icc_registers.DeviceEEPROM.GetMaxNegCurrent | ( |  | self | ) |

## ◆ GetMaxPosCurrent()

def optoICC.registers.icc_registers.DeviceEEPROM.GetMaxPosCurrent | ( |  | self | ) |

## ◆ GetOQCresult()

def optoICC.registers.icc_registers.DeviceEEPROM.GetOQCresult | ( |  | self | ) |

## ◆ GetPartConfig()

def optoICC.registers.icc_registers.DeviceEEPROM.GetPartConfig | ( |  | self | ) |

## ◆ GetPartConfigVersion()

def optoICC.registers.icc_registers.DeviceEEPROM.GetPartConfigVersion | ( |  | self | ) |

## ◆ GetProdTime()

def optoICC.registers.icc_registers.DeviceEEPROM.GetProdTime | ( |  | self | ) |

## ◆ GetSerialNumber()

def optoICC.registers.icc_registers.DeviceEEPROM.GetSerialNumber | ( |  | self | ) |

## ◆ help()

def optoICC.registers.icc_registers.DeviceEEPROM.help | ( |  | ) |
| static

## ◆ ReparseEEPROM()

def optoICC.registers.icc_registers.DeviceEEPROM.ReparseEEPROM | ( |  | self | ) |

## ◆ SetEEPROM()

def optoICC.registers.icc_registers.DeviceEEPROM.SetEEPROM | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## ◆ SetMaxNegCurrent()

def optoICC.registers.icc_registers.DeviceEEPROM.SetMaxNegCurrent | ( |  | self,
|  |  | negCurrent
| ) |  |

## ◆ SetMaxPosCurrent()

def optoICC.registers.icc_registers.DeviceEEPROM.SetMaxPosCurrent | ( |  | self,
|  |  | posCurrent
| ) |  |

## ◆ SetSerialNumber()

def optoICC.registers.icc_registers.DeviceEEPROM.SetSerialNumber | ( |  | self,
|  |  | serial
| ) |  |

## ◆ VerifyEEPROM()

def optoICC.registers.icc_registers.DeviceEEPROM.VerifyEEPROM | ( |  | self,
|  |  | index,
|  |  | vector
| ) |  |

## Member Data Documentation

## ◆ _is_a_system

bool optoICC.registers.icc_registers.DeviceEEPROM._is_a_system = False
| static protected

## ◆ channel

optoICC.registers.icc_registers.DeviceEEPROM.channel

## ◆ eeprom

optoICC.registers.icc_registers.DeviceEEPROM.eeprom

## ◆ eeprom_size

optoICC.registers.icc_registers.DeviceEEPROM.eeprom_size

## ◆ eeprom_subversion

optoICC.registers.icc_registers.DeviceEEPROM.eeprom_subversion

## ◆ eeprom_version

optoICC.registers.icc_registers.DeviceEEPROM.eeprom_version

## ◆ lock

optoICC.registers.icc_registers.DeviceEEPROM.lock

## ◆ max_neg_current

optoICC.registers.icc_registers.DeviceEEPROM.max_neg_current

## ◆ max_pos_current

optoICC.registers.icc_registers.DeviceEEPROM.max_pos_current

## ◆ oqc_result

optoICC.registers.icc_registers.DeviceEEPROM.oqc_result

## ◆ part_config

optoICC.registers.icc_registers.DeviceEEPROM.part_config

## ◆ part_config_version

optoICC.registers.icc_registers.DeviceEEPROM.part_config_version

## ◆ prod_time

optoICC.registers.icc_registers.DeviceEEPROM.prod_time

## ◆ reparse

optoICC.registers.icc_registers.DeviceEEPROM.reparse

## ◆ serial_number

optoICC.registers.icc_registers.DeviceEEPROM.serial_number

## ◆ sys_id

optoICC.registers.icc_registers.DeviceEEPROM.sys_id

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/145-713-00-OptoICC/src/main/python/optoICC/registers/icc_registers.py